discover (2.1.2-10.1~exp1) experimental; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.

 -- Michael Hudson-Doyle <mwhudson@debian.org>  Thu, 01 Feb 2024 04:31:14 +0000

discover (2.1.2-10) unstable; urgency=medium

  * Modernize packaging a little:
     - Switch from debhelper 8 to debhelper 13.
     - Delete CONFIGURE_PCMCIA support from debian/rules entirely
       (commented out for 15+ years).
     - Delete VERSION and ARCH variables from debian/rules (unused).
     - Switch from manual debian/rules to a dh-based one. Stick to an
       out-of-tree build (relocated from builddeb/ to build/ though,
       given udeb building is long gone), since in-tree building breaks.
     - Switch from dh_movefiles to dh_install (moving from debian/*.files
       to debian/*.install).
     - Make discover.install handle the move from /usr/bin/discover to
       /sbin/discover (instead of doing that manually from debian/rules).
     - Unhardcode individual header and documentation filenames from
       libdiscover-dev.install.
     - Unhardcode exact library version (use to the SONAME), and insert a
       wildcard for the multiarch directory in both libdiscover2.install
       and libdiscover-dev.install.
     - Disable test suite entirely for the time being (it wasn't run
       previously, and it seems broken anyway).
     - Configure dh_missing for the few files that aren't shipped.
     - Clean generated aclocal.m4 (via dh_clean).
  * This fixes the missing mandatory build-* targets (Closes: #999249).

 -- Cyril Brulebois <kibi@debian.org>  Sun, 09 Jan 2022 08:48:08 +0100

discover (2.1.2-9) unstable; urgency=medium

  * Team upload.

  [ Petter Reinholdtsen ]
  * Add vcs links in control file.

  [ Samuel Thibault ]
  * control: Update vcs links to git salsa.
  * source/format: Set format to 1.0.
  * rules: Do not pass -g -O2 by hand.
  * rules: Take build flags from dpkg-buildflags.
  * Convert to 3.0 (quilt) format.
  * rules: Use dh_autoreconf.
  * discover.lintian-overrides: Add debconf warning override.

  [ Clint Adams ]
  * Use mktemp instead of tempfile (Closes: 992733).

  [ Nguyen Hoang Tung ]
  * Use dh_auto_configure instead of ./configure (Closes: #931153).

  [ Laurent Bigonville ]
  * debian/patches/usb.patch: Switch to libusb 1.0 (Closes: #810408).

 -- Samuel Thibault <sthibault@debian.org>  Sun, 31 Oct 2021 23:24:01 +0100

discover (2.1.2-8) unstable; urgency=high

  * Remove Gaudenz Steinlin and Otavio Salvador from Uploaders, with
    thanks for their past contributions (Closes: #848424, #847266).
  * Use correct type for the length parameter of the getline() call,
    thanks to Anatoly Borodin and Simon Quigley for writing and for
    forwarding the patch (Closes: #876388, LP: #1718687).
  * Restore -O2 optimization level, as switching to -O1 in the previous
    upload probably just happened to paper over this issue.

 -- Cyril Brulebois <kibi@debian.org>  Sun, 14 Jan 2018 21:27:01 +0000

discover (2.1.2-7.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Gianfranco Costamagna ]
  * Build with -O1, for some reasons even a no-change
    rebuild of the existent code makes the program
    segfault on startup

  [ Helmut Grohne ]
  * Fix FTCBFS: Pass --host to configure (Closes: #812667).

  [ Logan Rosen ]
  * Fix FTBFS on various archs: Use autotools-dev to update
    config.guess and config.sub. (Closes: #533688)

 -- Fernando Seiti Furusato <ferseiti@linux.vnet.ibm.com>  Wed, 30 Nov 2016 14:12:47 +0000

discover (2.1.2-7) unstable; urgency=medium

  * Ack NMUs 2.1.2-5.1 and 2.1.2-5.2 and merge them into subversion.
  * Correct usage information from config-script.  The correct option to
    obtain the list of valid variable names is --list-vars, not --list.
    Patch from Didier Raboud <odyx@debian.org> (Closes: 681994).
  * Change aptitude to apt-get in discover-pkginstall to avoid installer
    hang (Closes: #760144).

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 01 Sep 2014 15:56:58 +0200

discover (2.1.2-5.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
    - Slovak (Slavko).  Closes: #639445
    - Indonesian (Mahyuddin Susanto).  Closes: #654167
    - Polish (Michał Kułach).  Closes: #661250

 -- Christian Perrier <bubulle@debian.org>  Fri, 30 Mar 2012 06:50:54 +0200

discover (2.1.2-5.1) unstable; urgency=low

  * Non-maintainer upload.
  * Don't ship .la files (Closes: #621193).

 -- Luk Claes <luk@debian.org>  Tue, 28 Jun 2011 07:31:15 +0200

discover (2.1.2-6) experimental; urgency=low

  * Report the vendor id if an unknown vendor id causes discover to
    crash.
  * Get USB device detection working by using libusb to find them when
    /proc/bus/usb/devices do not exist.  Add build-depend on libusb-dev.
  * Update debhelper level from 4 to 8 to move to a supported debhelper
    level.  No changes needed.
  * Update to newer config.guess and config.sub to get rid of lintian
    warning (Closes: #533688).

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 09 Jan 2013 13:37:30 +0100

discover (2.1.2-5) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Add code in discover-pkginstall to not enable the tasksel progress
    bar if $DI_PROGRESS_BAR_VISIBLE is set, to avoid messing up the
    progress bar for pkgsel (Closes: 603021).  Patch from Joey Hess.

  * Debconf translations:
    - Added Danish by Joe Hansen (Closes: #592272).

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 05 Dec 2010 13:43:14 +0100

discover (2.1.2-4) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Use debconf-apt-progress in discover-pkginstall if available, to
    get a progress bar when installing packages within d-i.
  * Drop obsolete packages libdiscover1-dev and discover1.
  * Change /sbin/discover to the dynamically linked version, as it
    is no longer used from the initrd.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 16 Apr 2010 00:14:21 +0200

discover (2.1.2-3) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Time to drop discover1 and migrate to discover v2.  Provide
    transitional packages discover1 and libdiscover1-dev depending on
    the equivalent v2 packages.  Copy the list of maintainers and
    uploaders from the discover1 package.
  * Update prerm and postinst to try harder to get rid of the init.d
    scripts of discover and discover1.
  * Only call module-assistant in discover-pkginstall if it is
    installed (Closes: #464971).
  * Improve usage information in discover-pkginstall to explain
    the available options.  Add manual page for discover-pkginstall.
  * Include <stdlib.h> in sysdeps/linux/ata.c to find free().
  * Updated Standards-Version from 3.7.2 to 3.8.0, no changes needed.
  * Replace ${Source-Version} with ${binary:Version} as proposed by lintian.
  * Remove generated config.log, config.status in clean target.
  * Convert debian/copyright to UTF-8.

  * Debconf translations:
    - Add Norwegian Bokmal again.
    - Finnish. Closes: #472621
    - Brazilian Portuguese. Closes: #481510
    - Turkish. Closes: #487696
    - Vietnamese. Closes: #489404

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 10 Jul 2008 21:29:15 +0200

discover (2.1.2-2) unstable; urgency=low

  * Improve module-assistent call in discover-pkginstall based on
    input from its maintainer.
  * Change file descriptor used to pass info from sub-process from
    15 to 8, as dash fail to handle with two-digit file descriptors.

 -- Petter Reinholdtsen <pere@debian.org>  Wed,  8 Aug 2007 20:24:53 +0200

discover (2.1.2-1) unstable; urgency=low

  * Add support for building module-assistant source packages
    in discover-pkginstall.
  * Ask in discover-pkginstall which packages to install using medium
    debconf priority.
  * Fix problem when installing packages who uses debconf by moving
    the debconf question about what to install into a subprocess.
  * Remove some unused code and use the correct config file name.
  * Change build rules to avoid .svn directories in the tarball.
  * Increase version number to 2.1.2 and correct the mailing list address.

 -- Petter Reinholdtsen <pere@debian.org>  Mon,  6 Aug 2007 18:02:16 +0200

discover (2.1.1-3) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Fix typo in discover-pkginstall. (Closes: #418133)
  * Detect lenny in discover-pkginstall, and drop version check there.

  * Debconf translations:
    - Persian. Sent directly by Abbas Esmaeeli Some'eh
    - Add Japanese from Noritada Kobayashi. (Closes: #413000)

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 21 Jun 2007 19:23:14 +0100

discover (2.1.1-2.1) unstable; urgency=low

  * Non-maintainer upload to fix pending debconf issues.
  * Switch to po-debconf for debconf templates. Closes: #351381
  * Debconf translations
    - French
    - Galician. Closes: #411190
    - Portuguese. Closes: #411197
    - Tamil. Closes: #411213
    - Czech. Closes: #411222
    - Swedish. Closes: #411232
    - Dutch. Closes: #411233
    - Russian. Closes: #411236
    - German. Closes: #411279
    - Norwegian Bokmal. Closes: #411324
    - Spanish. Closes: #411353
    - Italian. Closes: #411376
    - Basque. Closes: #411458
    - Romanian. Closes: #411435
    - Italian. Closes: #411568

 -- Christian Perrier <bubulle@debian.org>  Tue, 20 Feb 2007 08:36:43 +0100

discover (2.1.1-2) unstable; urgency=low

  [ Otavio Salvador ]
  * Removed udeb package.

  [ Petter Reinholdtsen ]
  * Improve template text for discover-pkginstall. (Closes: #385591)
  * Correct the handling of several packages listed for one PCI device in
    discover-pkginstall.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 13 Oct 2006 18:52:55 +0200

discover (2.1.1-1) unstable; urgency=low

  * Fix typo in init.d script.  Make it available in
    /usr/share/doc/discover/.
  * Make sure to include the discover-pkginstall script in
    the discover package.
  * Use debconf to confirm the list of packages to install in
    discover-pkginstall.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 31 Aug 2006 10:57:13 +0200

discover (2.1.0-1) unstable; urgency=low

  [ Otavio Salvador ]
  * Remove the externals repositories.
  * Add a fresh copy of buildtools, portability and doctools dated
    2005-07-16.
  * Add debian/update-buildsystem to allow us to sync with Progeny build
    system.
  * Fix build problem installing the bug script since the directory wasn't
    create at build time.
  * Cleanup the package building a bit and fix the problem using dh_strip.
  * Fix a compiler warning about signess with gcc-4.0.
  * Applied patch from Jean Christophe André <progfou@gmail.com> to fix
    already loaded module detection. (Closes: #307125)
  * Change place to store crashfile on /lib/discover/. (Closes: #306169)

  [ Petter Reinholdtsen ]
  * Convert discover-modprobe (called from init.d script) to use Linux
    Software Base functions when present.  Add suggest on lsb-base.
  * Add support for vendor default entries, to make it possible to
    return 'ati' and 'nv' drivers for unrecognized ATI and nVidia
    cards.  This includes a change to the DTD.  Patch from Daniel
    Stone and ubuntu.
  * Include reportbug helper script to get useful info in bug reports.

  [ Jeff Licquia ]
  * Add a mechanism for the sysdeps to pass information back to
    discover, and make that information available for query under
    the "device" data node.

  [ Petter Reinholdtsen ]
  * Take over this package from QA.
  * Add discover-aptinstall, installing hardware related
    debian packages.  (Closes: #382454)
  * Do not install init.d script, and remove traces of it if present.
    It is no longer useful as udev do a much better job based on the
    /lib/modules/*/modules.* files provided by the kernel.
    This make the boot order irrelevant. (Closes: #310944, #369598, #363025)
  * Add LSB info to the init.d script in the source directory, for those
    interested in using it.  (Closes: #335322)
  * Update Standards-Version from 3.6.2to 3.7.2.  No changes needed.
  * Remove directory /var/state/discover/ if it exist.  It haven't
    been used since version 1.2-1.  (Closes: #304923)
  * Teach discover-modprobe to handle modules with names which
    are a substring of other module names.  Patch from Branden Robinson.
    (Closes: #300906)
  * Remove vim instructions at the end of debian/changelog to keep lintian
    happy.
  * Update to use debhelper 4.  Add ${misc:Depends} to depends lines.
  * Remove all traces of the obsolete cdrom question. (Closes: #351381)

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 11 Aug 2006 22:21:55 +0200

discover (2.0.7-3) unstable; urgency=low

  * QA upload.
  * NMU ACK.  Closes: #305042.  Thanks to Jeroen and David, see below.
  * sysdeps/stub/stubs.c: Fix FTBFS on GNU/kFreeBSD (and any system using
    sysdep/stubs/).  Closes: #364863.  Patch by Robert Millan
    <rmh@aybabtu.com>, thanks.
  * doc/discover-modprobe.8, debian/discover.postrm: Removed "/usr/local" from
    paths in man page, and added removal of /var/lib/discover in postrm.
    Closes: #328497.  Thanks to Lars Wirzenius <liw@iki.fi>.
  * debian/discover.postinst: Enter invoke-rc.d.  Closes: #367739.
  * doc/device-types.xml, doc/discover.1, doc/guide.html, doc/guide.txt: Fixed
    typo.  Closes: #311442.
  * debian/rules: Fixed debian-rules-missing-required-target binary-indep.
  * debian/changelog: Fixed syntax-error-in-debian-changelog.

 -- Bart Martens <bartm@knars.be>  Sat, 29 Jul 2006 12:36:08 +0200

discover (2.0.7-2.1) unstable; urgency=medium

  * NMU
  * Have discover-modprobe use mkdir -p, in stead of install -d, because /usr
    might not yet be available. Thanks David Everly <deckrider@yahoo.com> for
    noticing. (Closes: #305042)

 -- Jeroen van Wolffelaar <jeroen@wolffelaar.nl>  Sun, 24 Apr 2005 14:54:07 +0200

discover (2.0.7-2) unstable; urgency=low

  * Make discover depend on libdiscover2; we don't need it for the
    shared library, but we do need the surrounding infrastructure.
    Closes: #294121.

 -- Jeff Licquia <licquia@progeny.com>  Sun, 13 Feb 2005 10:40:39 -0500

discover (2.0.7-1) unstable; urgency=low

  * Apply patches from Rafael Avila de Espindola (rafael.espindola
    at gmail dot com) to fix some memory leaks.
  * Inspired by Rafael: handle /proc more safely in Linux ATA sysdeps.
  * Inspired by Rafael: check that we could open the configuration
    directory, and close it when we're done.
  * Apply include file fixes to the test suite.
  * Disable curl support in the Debian packages.  Closes: #279462.
  * Purge -o from tests and use grep -E instead of egrep.
    Closes: #258314.
  * Fix wrong paths in documentation.  Closes: #273205.
  * Fix discover-config documentation to match the utility
    (actually a fix to buildtools).  Closes: #247546.
  * Include string.h in sysdeps/linux/ata.c, so we don't get
    weird pointer arithmetic going.
  * Make sure that our device ordering matches whether we read
    PCI device info from /proc or /sys.  Closes: #286552.
  * Trimmed unneeded Build-Depends.
  * Fix package build issues with static linking and stripping
    of binaries.
  * Make discover-static /sbin/discover, and get rid of the
    dynamically-linked /usr/bin/discover.  Closes: #287189.
  * Update the documentation.

 -- Jeff Licquia <licquia@progeny.com>  Sun,  6 Feb 2005 15:14:22 -0500

discover (2.0.6-3) unstable; urgency=low

  * Do not modify /etc/discover-modprobe.conf with data migrated from
    version 1; instead, simply preserve the old v1 configuration.  This
    may cause problems for people who had set discover v1 to skip modules,
    but the solution violates Debian policy.  Users are encouraged to
    migrate their discover v1 configuration by hand.  Closes: #283070.
  * Make the /usr/lib/libdiscover.so link absolute instead of relative.
  * Revert to libcurl2, since libcurl3 seems to be in poor shape.
    Closes: #283064, #283969.
  * Add changelog information from discover 1.  Closes: #249968.

 -- Jeff Licquia <licquia@progeny.com>  Tue,  7 Dec 2004 11:42:39 -0500

discover (2.0.6-2) unstable; urgency=low

  * Change the default setting for "types" in discover-modprobe.conf
    to "all" (from "").  Closes: #282983.
  * Replace uniq in discover-modprobe with some clever shell, since
    uniq is also in /usr/bin.  Closes: #247423.

 -- Jeff Licquia <licquia@progeny.com>  Mon, 29 Nov 2004 23:06:17 -0500

discover (2.0.6-1) unstable; urgency=low

  * Ian Murdock <imurdock@progeny.com>:

  * Call update-rc.d remove in postrm on purge, not remove.
    Closes: #252634.

  * Use /var/lib for crash data rather than /var/state, as per FHS.
    Closes: #273205.

  * Allow data query operations (i.e., --data-path and
    --data-version) even when the device type is not specified.
    This mirrors the default behavior of Discover in version 1 and
    is consistent with the results of invoking Discover without
    any arguments (which displays a summary of all device detected).

  * discover-modprobe.conf: Specify the empty string for types, so the
    default behavior is to report on all detected hardware.

  * Allow data query operations (i.e., --data-path and
    --data-version) to take a device ID (that is, a vendor ID and a
    model ID concatenated together, e.g., "0x05af080a") in addition to a
    device type. This is in preparation for adding hotplug support.

  * sysdeps/linux/pci.c: Convert device class to little-endian
    byte order on big-endian architectures. Patch
    from Rafael EspÃ­ndola <rafael.espindola at ic.unicamp.br>.
    Closes: #255868.

  * Jeff Licquia <licquia@progeny.com>:

  * Instead of a single discover.conf, move to use a discover.conf.d
    directory with multiple configuration files.  This allows other
    packages to change discover's configuration, and eliminates the
    problem with /etc/discover.conf changing formats.
    Closes: #256473.

  * Add a new configuration attribute to the data-source element in
    configuration files: "place".  If set to "before", the data in
    the source is prepended instead of appended, making it override
    the default data.

  * Build-Dep on libcurl3-dev as the default curl.  Closes: #260205.

 -- Jeff Licquia <licquia@progeny.com>  Fri, 19 Nov 2004 15:52:22 -0500

discover (2.0.5-1) unstable; urgency=low

  * New version.
  * Set some sane defaults if discover-config isn't available to
    discover-modprobe yet.  Closes: #246046.
  * Use sed instead of cut to isolate the information we need from
    /proc/modules.  Closes: #247423.
  * Change the include files to include <discover/foo.h> instead
    of just <foo.h>.  Closes: #246045.
  * Re-enable ATA sysdeps for Linux.  This resolves half of bug
    242749.
  * For PCI Linux sysdeps, prefer /sys information to /proc if
    available.

 -- Jeff Licquia <licquia@progeny.com>  Mon, 17 May 2004 02:30:10 -0500

discover (2.0.4-5) unstable; urgency=low

  * The busclass change read too much PCI data, and with some devices
    where this data was not defined, this would cause the box to crash.
    A patch from David Price <david at dmprice.com> fixed this.
    Closes: #246029.

 -- Jeff Licquia <licquia@progeny.com>  Thu,  6 May 2004 10:27:53 -0500

discover (2.0.4-4) unstable; urgency=low

  * device.xml (create_device): Make "busclass" attribute optional.

 -- Ian Murdock <imurdock@progeny.com>  Fri, 30 Apr 2004 14:09:18 -0500

discover (2.0.4-3) unstable; urgency=low

  * Make sure /bin is a directory when installing the udeb discover.
    Closes: #243972.

 -- Jeff Licquia <licquia@progeny.com>  Fri, 16 Apr 2004 10:52:46 -0500

discover (2.0.4-2) unstable; urgency=low

  * Rebuilt using the proper buildtools branch, which somehow got
    reverted in our build.  Closes: #239864.

 -- Jeff Licquia <licquia@progeny.com>  Wed, 14 Apr 2004 10:38:44 -0500

discover (2.0.4-1) unstable; urgency=low

  * New upstream version.
  * Move discover to /bin and libdiscover.so.* to /lib, so we don't
    depend on /usr being mounted.  Closes: #240922.
  * Use system-provided busclass information (extracted from /proc)
    to override discover-data-provided busclass information.

 -- Jeff Licquia <licquia@progeny.com>  Mon,  5 Apr 2004 01:25:36 -0500

discover (2.0.3-6) unstable; urgency=low

  * Use a branch of buildtools with fixes for MIPS builds.
    Closes: #239864.

 -- Jeff Licquia <licquia@progeny.com>  Wed, 31 Mar 2004 16:19:08 -0500

discover (2.0.3-5) unstable; urgency=low

  * Fix discover-modprobe so it can detect modules on both 2.4 and 2.6
    kernels.  Closes: #240363.
  * Check whether a numeric busclass ID is in our database, and exit
    rather than segfault if not.  Closes: #239719.

 -- Jeff Licquia <licquia@progeny.com>  Wed, 31 Mar 2004 10:57:52 -0500

discover (2.0.3-4) unstable; urgency=low

  * The udeb shouldn't Confict: and Provide: itself.  Closes: #239775.
  * The udeb should Provide: discover.  Affects bug 239725 filed against
    discover1-udeb.
  * Updated buildtools autoconfage.  Closes: #239864.

 -- Jeff Licquia <licquia@progeny.com>  Thu, 25 Mar 2004 16:10:33 -0500

discover (2.0.3-3) unstable; urgency=low

  * Rename udeb to discover-udeb, per newly hashed out naming scheme.
  * Also make udeb depend on discover-data-udeb, per naming scheme.
  * Upload to unstable.

 -- Jeff Licquia <licquia@progeny.com>  Tue, 23 Mar 2004 09:39:11 -0500

discover (2.0.3-2) experimental; urgency=low

  * Set priority on discover2-udeb to extra.
  * Upload discover 2.0.3 to experimental.

 -- Jeff Licquia <licquia@progeny.com>  Tue, 16 Mar 2004 15:26:38 -0500

discover (2.0.3-1) unstable; urgency=low

  * Discover 2.0.3 released.

  * Copied the PCMCIA headers back into sysdeps/linux/pcmcia
    (from kernel-headers-2.6.0-1). Adjusted configure.ac to use the
    default headers unless the --with-pcmcia-headers flag is
    specified.

  * debian/control
      Applied patch from Gaudenz Steinlin <gaudenz@soziologie.ch>:
      - remove unneeded libdiscover2-pic
      - rename discover-udeb to discover2-udeb
      - change maintainer to discover-workers
      - some minor changes to the package descriptions
      - priority of discover2-udeb should be optional until it is the standard
      - removed unneeded Replaces
      - versioned depend on discover-data (>= 2.0)

  * debian/discover2-udeb.dirs
      Renamed from discover-udeb.dirs.

  * debian/libdiscover2.files
  * debian/libdiscover-dev.files
      Added headers to libdiscover-dev. Moved API documentation from
      libdiscover2 to libdiscover2-dev.

  * debian/postinst
      Applied patch from Gaudenz Steinlin <gaudenz@soziologie.ch>:
      - redirect output of update-rc.d to /dev/null as suggested by lintian

  * debian/rules
      Applied patch from Gaudenz Steinlin <gaudenz@soziologie.ch>:
      - introduced the variable UPACKAGE which contains the name of the
        udeb package
      - build udeb with -Os
      - separate the rule for building the udeb and deb packages to make
        it easier to only build the udeb

  * etc/discover-modprobe.conf
      Replace discover1 types with discover2 types.

  * lib/Makefile.in
      Applied patch from Gaudenz Steinlin <gaudenz@soziologie.ch>:
      - install all header files in ${includedir}/discover

  * scripts/discover-modprobe
      Applied patch from Gaudenz Steinlin <gaudenz@soziologie.ch>:
      - check for the existence of discover-modprobe
      Added support for Linux 2.6 (recognize module extension .ko).

  * scripts/init
      Applied patch from Gaudenz Steinlin <gaudenz@soziologie.ch>:
      - don't load modules that are already loaded

 -- Ian Murdock <imurdock@progeny.com>  Mon, 23 Feb 2004 17:11:59 -0500

discover (2.0.2-1) unstable; urgency=low

  * Discover 2.0.2 released.

 -- Ian Murdock <imurdock@progeny.com>  Fri, 30 Jan 2004 20:46:56 -0500

discover (2.0.2-0.0.0.4) unstable; urgency=low

  * The following changes are by Eric Gillespie <epg@progeny.com>.

  * discover/lib/load-url.c
      (_discover_load_url_file): Fix url parsing.

  * discover/tests/device.c
      (device_test_internals): Revert previous change.  "Tiny editorial
        corrections" broke this test.

  * discover/tests/data/pci-vendor.xml
      Revert previous change, another editorial change that broke a test.

  * discover/discover/{didiscover.c,discover.c},
    discover/doc/GNUmakefile,
    discover/tests/data/usb-vendor.xml
      Last of the reversions.

  * discover/configure.ac
      Put a comment back with the code it documented, which moved when curl
      was made optional.

  * discover/lib/Makefile.in
      Comment out the only libdiscover_pic.a references left uncommented.
      Also nitpick a couple of the others.

  * discover/discover/discover.c
      Remove extraneous newlines added to usage and help output in 1.51,
      which fixed my line-spanning strings (older gcc versions ruined me!).

  * discover/configure.ac
      I thought AC_PATH_TOOL honored tools set in the environment, but it
      doesn't.  Maybe it did in an older version of autoconf.  At any rate,
      explicitly look for tools in the environment before looking for them
      with AC_PATH_TOOL.

  * discover/debian/control
      whitespace police

  * discover/discover/discover.c
      (query_data): Fix printing of extraneous newline when data is empty.

  * discover/discover/Makefile.in
    discover/discover/didiscover.c
      Remove didiscover.c.  The effects of
        didiscover --data-path --data-vendor
        didiscover --data-path --data-model
      are achieved with
        discover -t --no-model
        discover -t --no-vendor

  * discover/debian/rules
      Configure and build discover twice: first a full build for the debs,
      second a no-curl no-shared build for the udeb.

  * discover/lib/{load-url.c,curl.c}
      curl.c:
          Drop the dlopen stuff.  Wrap the entire file in a HAVE_LIBCURL
          conditional.
          (_discover_curl_init): Remove.
          (_discover_load_url_curl): Rename to _discover_load_url.
      load-url.c:
          Move <config.h> to the top where it belongs.  Wrap the entire file
          in a !HAVE_LIBCURL conditional.
          (_discover_load_url): Remove this function which called
          _discover_load_url_curl or _discover_load_url_file; now we just
          provide the same _discover_load_url in both curl and non-curl
          versions.
          (_discover_load_url_file): Rename to _discover_load_url.

  * discover/lib/Makefile.in
      Remove GNUisms and put the curl files back into the build, now that
      they properly handle the no-curl case.

  * The following changes are by Branden Robinson <branden@progeny.com>.

  * discover/discover-xml/discover-xml.c
      (print_help): Fix yet another multiline string constant.

  * doc/discover.refentry
      Add examples on how to extract vendor and model information by device
      type.

 -- Branden Robinson <branden@progeny.com>  Wed,  5 Nov 2003 16:33:21 -0500

discover (2.0.2-0.0.0.2) unstable; urgency=low

  * Added discover.conf to discover-udeb.

 -- Jeff Licquia <licquia@progeny.com>  Fri, 30 May 2003 10:41:32 -0500

discover (2.0.2-0.0.0.1) unstable; urgency=low

  * New upstream changes.
  * Added libdiscover2-pic and discover-udeb package generation.

 -- Jeff Licquia <licquia@progeny.com>  Mon, 19 May 2003 16:51:03 -0500

discover (2.0.1-2) unstable; urgency=low

  * debian/rules: when configuring, define localstatedir as /var

 -- Branden Robinson <branden@progeny.com>  Fri, 14 Feb 2003 12:28:59 -0500

discover (2.0.1-1) unstable; urgency=low

  * new upstream version

 -- Branden Robinson <branden@progeny.com>  Mon,  3 Feb 2003 12:11:26 -0500

discover (1.5-3) unstable; urgency=low

  * Change section of libdiscover-dev to libdevel
  * Include Danish debconf translation. Thanks Claus Hindsgaul and Denis
    Barbier; Closes: #229074
  * Include Danish program translation. Closes: #237761
  * Add README.Debian documenting how to deal with 2.6 issues
  * Add support for devicetype "isdn" to discover.c
  * Change dependency from ash | dash to dash | ash; Closes: #237565
  * Update buildsystem for Chinese translation renaming
  * Update buildsystem for new Japanese translation
  * Translations
    - Petter Reinholdtsen
      - Updated Norwegian BokmÃ¥l debconf translation (no.po and nb.po).
    - Bart cornelis
      - Updated Dutch translation (nl.po)
    - Carlos Z.F. Liu
      - Updated Simplified Chinese debconf translation (zh_CN.po). Closes: #230372
    - Christian Perrier
      - French program translation update (po/fr.po). Closes: #237372
    - Dennis Stampfer
      - German debconf translation (debian.po/de.po). Closes: #237138
    - Andre Dahlqvist
      - Swedish debconf translation. Closes: #237128
    - Eugeniy Meshcheryakov
     - Ukrainian program and debconf translations. Closes: #236682
    - Andre Luis Lopes
      - Brazilian program translation update (po/pt_BR.po). Closes: #237865
    - Nikolai Prokoschenko
      - Russian program and debconf translation updates (po/ru.po,
        debian/po/ru.po). Closes: #237880
    - Kenshi Muto
      - Japanese program translation (po/ja.po). Closes: #237896
    - KÃ?â?¢stutis BiliÃ?Â«nas
      - Lithuanian program update and debconf translation (po/lt.po,
        debian/po/lt.po). Closes: #237706

 -- David Nusinow <david_nusinow@yahoo.com>  Thu, 11 Mar 2004 02:25:26 -0500

discover (1.5-2) unstable; urgency=low

  * New maintainers, David Nusinow and Gaudenz Steinlin maintaining for
    the Debian Installer Team
  * discover-udeb now depends on discover-data-udeb; Closes: #188820
  * Typofix in update-initrd manpage; Closes: #218353
  * cdroms now symlinked in order; Closes: #182009
  * postinst now uses invoke-rc.d; Closes: #190731
  * Update standards version
    - debian/rules: add CFLAGS export 
  * New Czech debconf translation. Thanks Miroslav Kure; Closes: #223942
  * New Japanese debconf translation. Thanks Kenshi Muto; 
    Closes: #224596
  * Don't "sort -u" modules. Print message if module is already loaded
    instead; Closes: #224645
  * Now support 2.6 kernels. Thanks to all those who worked on this bug;
    Closes: #223682, #204875
  * NMU ACK. Thanks to all involved; Closes: #169264, #209240, #211673
    Closes: #221302, #194901, #153656, #162747, #110461, #168858
  * Added debconf and updated main Finnish translation by Tommi Vainikainen
  * Update Brazilian Portuguese debconf translation. Thanks Andre Luis Lopes;
    Closes: #225145
  * Include new Dutch debconf translation. Thanks cobaco; Closes: #228300
  * Include new Greek translations for discover and debconf. Thanks
    Konstantinos Margaritis; Closes: #226847

 -- David Nusinow <david_nusinow@yahoo.com>  Sat, 13 Dec 2003 21:06:58 -0500

discover (1.5-1.4.3) unstable; urgency=low

  * NMU from the Minneapolis BSP.
  * Added another test to init script to make sure we don't try to create
    directories on /cdrom*.
  * Fixed init script to not try to create /cdrom symlinks if /cdrom
    is mounted. (Closes: #169264)

 -- Scott M. Dier <sdier@debian.org>  Sat, 13 Dec 2003 13:32:52 -0600

discover (1.5-1.4.2) unstable; urgency=low

  * Non-maintainer upload, sponsored by Joey Hess.
  * Use gettext for debconf templates. Closes: #209240
  * French debconf templates translation. Closes: #211673
  * Templates rewrite for debian-installer consistency
  * Copied include/linux/pci.h and inclide/linux/pci_ids.h
    from the 2.4.23 linux kernel sources into lib/linux.
    Applied patch from Thomas Poindessous
    This is a workaround for FTBFS problem. Closes: #221302

 -- Christian Perrier <bubulle@debian.org>  Sat,  6 Dec 2003 07:49:02 +0100

discover (1.5-1.4.1) unstable; urgency=low

  * NMU, DebCamp BSP
  * Patched discover.c to fix multiline problems with GCC 3.3
    Thanks Andreas Metzler for the patch (Closes: #194901)

 -- Alberto Gonzalez Iniesta <agi@agi.as>  Sun, 13 Jul 2003 21:00:45 +0200

discover (1.5-1.4) unstable; urgency=low

  * NMU with permission
  * Put libdiscover* in /lib in the udeb, so it overwrites what's on the
    boot medium.

 -- Tollef Fog Heen <tfheen@debian.org>  Tue, 12 Nov 2002 23:44:40 +0100

discover (1.5-1.3) unstable; urgency=low

  * NMU.  Again.  Silly me forgot to upload source as well when making
    this a non-native package.

 -- Tollef Fog Heen <tfheen@debian.org>  Thu, 24 Oct 2002 11:59:49 +0200

discover (1.5-1.2) unstable; urgency=low

  * NMU with maintainer's permission
  * Make the init script start even if a module fails to load. 
    (closes: #153656)
  * Depend on ash | dash.  (closes: #162747)
  * Make this a non-native package again.

 -- Tollef Fog Heen <tfheen@debian.org>  Thu, 24 Oct 2002 02:07:29 +0200

discover (1.5-1.1) unstable; urgency=low

  * NMU
  * Add udeb generation.  (Closes: #110461)

 -- Tollef Fog Heen <tfheen@debian.org>  Mon,  9 Sep 2002 10:44:47 +0200

discover (1.5-1) unstable; urgency=low

  * new upstream version
  * debian/discover.postinst:
    - Stop redirecting the output of update-rc.d to /dev/null.
    - Migrate people to the correct runlevel; just changing the
      update-rc.d call in the postinst is insufficient. (Closes: #149256)

 -- Branden Robinson <branden@progeny.com>  Tue, 11 Jun 2002 13:43:44 -0500

discover (1.4-1) unstable; urgency=low

  * new upstream version; recognize "disk" device type on the command line
    (thanks, Oliver Kurth) (Closes: #149125)
  * debian/control: fix error in libdiscover1-pic's extended description

 -- Branden Robinson <branden@progeny.com>  Wed,  5 Jun 2002 11:11:41 -0500

discover (1.3.2-1) unstable; urgency=low

  * new upstream version; awk script inside init script reads from
    /proc/mounts now, instead of standard input (Closes: #146519)

 -- Branden Robinson <branden@progeny.com>  Fri, 24 May 2002 10:42:12 -0500

discover (1.3.1-1) unstable; urgency=low

  * new upstream version; fixes problem with vendor IDs from the list files
    getting clobbered by a memset()

 -- Branden Robinson <branden@progeny.com>  Thu, 23 May 2002 14:56:00 -0500

discover (1.3-1) unstable; urgency=low

  * new upstream version; among other changes:
    + discover/discover.{8,c}: Applied patch from Mike Simons to support "a
      way to get all possible devices detected at once, without typing the
      complete list." (Closes: #146009)
    + discover/discover.init: Don't permit failure to unmount the initrd or
      free the ramdisk to be fatal errors. (Closes: #146519)
    + discover/discover.init: Run the list of modules returned by discover
      through "sort -u" so that we don't needlessly attempt to load the same
      module multiple times. (Closes: #146256)
    + discover/discover.init: Don't attempt to set up the (e.g.) /cdrom ->
      /cdrom0 if /cdrom is already being used as a mount point according to
      /proc/mounts. (Closes: #146266)
    + lib/{ide.c,lst.c,pci.c,usb.c}: Fix unitialized variables and other
      problems found with valgrind.  Thanks to Petter Reinholdtsen for this
      patch. (Closes: #147687)

 -- Branden Robinson <branden@progeny.com>  Thu, 23 May 2002 13:56:49 -0500

discover (1.2-1) unstable; urgency=low

  * Development moved back to Progeny CVS; because of this and the now-useful
    "upstream" ChangeLog, this is the last release where the Debian changelog
    file will go into excruciating detail.  Instead, the Debian changelog will
    be used mostly for the bug auto-closing feature (an explanation will
    accompany the auto-closed bugs, of course).

  * discover/ChangeLog: made this file useful with cvs2cl (Closes: #142046)
  * discover/discover.8: add information about how to report unrecognized
    hardware data to maintainers (Closes: #137522)
  * discover/discover.init:
    - load init script's configuration parameters from /etc/default/discover
      if the file is readable
    - only update /dev/cdrom* and corresponding mount points if
      $MANAGE_CDROM_DEVICES is true (corresponds to debconf template)
      (Closes: #118760)
    - use -p argument to mkdir in case parent directories of mount points do
      not exist
    - use $CDROM_BASE_MOUNTPOINT as prefix to mount points
    - implement more precise check for mounted /initrd filesystem
    - migrate from /var/state to /var/lib per FHS (Closes: #136992)
    - added comments describing the function of each of the three
      configuration files

  * debian/control:
    - change maintainer to Progeny Debian Packaging Team
    - add Uploaders: field
    - new package: libdiscover1-pic (thanks, Tollef Fog Heen)
      (Closes: #143871)
    - libdiscover-dev Replaces: libdiscover0, libdiscover0-dev
    - discover Depends: debconf (>> 0.5)
  * debian/copyright: corrected URL to package source
  * debian/discover.dirs: /var/state/discover -> /var/lib/discover
  * debian/discover.postinst:
    - discover's rcS.d script needs to run after hotplug's (S35), but before
      networking is set up (S39).  It's getting to be a tight squeeze here.  Run
      it at S36.  (Closes: #143329)
    - manage /etc/default/discover file with debconf, and write debconf
      section containing values of discover/manage_cdrom_devices and
      discover/cdrom_base_mountpoint templates
  * debian/discover.postrm: remove configuration files on package purge
  * debian/discover.templates.pt_BR: added Brazilian Portuguese template
    translations (thanks, Andre Luis Lopes) (Closes: #141526)
  * debian/docs: Stop shipping outdated and misleading Mandrake README and
    BUGS files, and do ship ChangeLog.mandrake.
  * debian/rules:
    - Comment out useless call to dh_installinit.  We don't want to get into
      trouble if it suddenly starts working.  See Debian bug #140881.
    - build libdiscover1-pic (thanks, Tollef Fog Heen)
    - add dh_installdebconf to binary-arch rule
  * debian/shlibs: remove unused file (see libdiscover1.shlibs for the real
    thing)

 -- Branden Robinson <branden@progeny.com>  Mon, 29 Apr 2002 11:56:34 -0500

discover (1.1-6) unstable; urgency=medium

  * debian/postinst: oops, pass correct arguments to update-rc.d (thanks,
    Thomas Hood) (Closes: #141492)

 -- Branden Robinson <branden@debian.org>  Sat,  6 Apr 2002 01:47:01 -0500

discover (1.1-5) unstable; urgency=low

  * debian/docs: stop shipping obsolete upstream FAQ (Closes: #127088)
  * debian/{postinst,postrm}: run discover's init script much earlier, so
    that, e.g., network modules are loaded before networking is set up
    (thanks, Christoph Lameter) (Closes: #120602)
  * discover/discover.init:
    - put names of config files in shell variables for consistency
    - semantic updates to some user-visible messages
    - clarify how re-enablement of skipped modules is done (Closes: #137515)
  * discover/{discover.8,discover.conf.5,update-initrd.8}: minor updates

 -- Branden Robinson <branden@debian.org>  Tue,  2 Apr 2002 02:55:29 -0500

discover (1.1-4) unstable; urgency=low

  * discover/discover.init: fix typo (thanks, Thomas Poindessous)
    (Closes: #118349)

 -- Branden Robinson <branden@debian.org>  Mon,  5 Nov 2001 07:44:19 -0500

discover (1.1-3) unstable; urgency=low

  * lib/{ethernet,floppy,scsi}.c: comment-out PowerPC-specific code

 -- Branden Robinson <branden@debian.org>  Thu,  1 Nov 2001 13:01:10 -0500

discover (1.1-2) unstable; urgency=low

  * configure.ac: comment out check for "--with-kernel-source" (and re-ran
    autoconf)
  * debian/control: remove now-unnecessary build-dependencies on
    libisapnp-dev, kernel-headers-2.2.19, autoconf, automake, and libtool
  * debian/rules: comment out invocation of autogen.sh, and passing of
    "--with-kernel-source" argument to configure
  * debian/discover.overrides: format this file correctly and explain the
    override in a comment

 -- Branden Robinson <branden@debian.org>  Fri, 19 Oct 2001 21:16:00 -0500

discover (1.1-1) unstable; urgency=low

  * re-ran libtoolize --force --copy; aclocal; automake; autoconf
  * re-generated source package without .cvsignore files and debian directory
  * discover/Makefile.am:
    - add "data_DATA = linuxrc"
    - add "update-initrd.8" to man_MANS
  * discover/discover.init:
    - cleaned up shell syntax and output messages a little bit
    - policy-compliant init script (doesn't ignore $1)
  * discover/update-initrd:
    - safe temporary directory usage (also, respect $TMPDIR)
    - import and use my handy-dandy message(), message_nonl(), and errormsg()
      shell functions
    - "port" this script to the new discover-data/discover 1.0 way of doing
      things
  * discover/update-initrd.8: wrote manpage
  * discover/discover.8: corrections to discover manpage
    (thanks, Bernd Eckenfels) (Closes: #111389)
  * debian/control:
    - add versioning to build-dep on debhelper
    - updated package descriptions
    - remove redundant dependency on libdiscover1 from discover
  * debian/copyright: updated copyright notice and list of authors
  * debian/discover.dirs:
    - add usr/share/discover
    - add var/state/discover (Closes: #114112)
  * debian/discover.files: ship linuxrc, update-initrd manpage, and lintian
    override file
  * debian/discover.overrides: new file containing lintian overrides
  * debian/discover.{postinst,postrm}: add update-rc.d calls
  * debian/libdiscover0.files: obsolete file removed
  * debian/libdiscover1.{postinst,postrm}: run ldconfig as necessary
  * debian/libdiscover1.shlibs: renamed from "shlibs"
  * debian/rules:
    - remove *.gmo files in clean rule
    - add appropriate -l argument to dh_shlibdeps
    - put linuxrc in correct place

 -- Branden Robinson <branden@debian.org>  Mon, 15 Oct 2001 22:04:04 -0500

discover (1.0-2) unstable; urgency=low

  * libdiscover1 Depends: discover-data (Closes: #110284)

 -- Branden Robinson <branden@debian.org>  Mon, 27 Aug 2001 16:23:14 -0500

discover (1.0-1) unstable; urgency=low

  * Integrate libdiscover (the old Mandrake libdetect) into the same
    source package. (epg@progeny.com)
  * Yank out all the ISA stuff, including SuperProbe. (epg@progeny.com)
  * Library version has changed; now shipping libdiscover1 package.

 -- Branden Robinson <branden@debian.org>  Wed, 15 Aug 2001 16:02:18 -0500

discover (0.9.20) unstable; urgency=low

  * Compile against libdiscover instead of libdetect.

 -- Branden Robinson <branden@debian.org>  Tue,  7 Aug 2001 09:03:52 -0500

discover (0.9.19) unstable; urgency=low

  * discover.init: add test to skip attempts at X server "module"
    autoloading if discover tries to do so

 -- Branden Robinson <branden@progeny.com>  Fri, 23 Mar 2001 15:47:18 -0500

discover (0.9.18) unstable; urgency=low

  * discover.init: got sense of new test backwards; fixed

 -- Branden Robinson <branden@progeny.com>  Fri, 23 Mar 2001 12:13:19 -0500

discover (0.9.17) unstable; urgency=low

  * discover.init: change module existence check to work for both 2.2 and 2.4
    kernels (addresses Progeny pr/1352)

 -- Branden Robinson <branden@progeny.com>  Fri, 23 Mar 2001 11:27:14 -0500

discover (0.9.16) unstable; urgency=low

  * discover.init now checks to see if a module exists before trying to
    load it; this eliminates scary-looking modprobe errors at boot time.

 -- Jeff Licquia <jlicquia@progeny.com>  Tue, 20 Mar 2001 18:08:38 -0500

discover (0.9.15) unstable; urgency=low

  * changes to discover.c:
    - change return_xserver() and return_xdriver() functions; issue a warning,
      not a fatal error, in the event that we cannot parse the X server and/or
      driver that we get back from libdetect (this works around what I feel is
      brain damage in libdetect); also, return the string "unknown" when X
      servers or drivers are requested for such cards; the X server config
      scripts will recognize this and do the right thing
    - tabs -> 8 spaces
    - added vim modeline

 -- Branden Robinson <branden@progeny.com>  Tue, 13 Mar 2001 17:21:33 -0500

discover (0.9.14) unstable; urgency=low

  * recompile against libdetect 0.9.72-2.0progeny12

 -- Branden Robinson <branden@progeny.com>  Mon, 19 Feb 2001 11:53:22 -0500

discover (0.9.13) unstable; urgency=low

  * CD handling changed.  Numbering now starts with 1, with 1 being the
    "default" CD drive.

 -- Jeff Licquia <jlicquia@progeny.com>  Thu, 15 Feb 2001 15:30:28 -0500

discover (0.9.12) unstable; urgency=low

  * Now create directories /cdromX for each /dev/cdromX that we find in
    the init script.

 -- Jeff Licquia <jlicquia@progeny.com>  Mon, 12 Feb 2001 17:04:06 -0500

discover (0.9.11) unstable; urgency=low

  * Oops.  Fixed a typo in the init script.
  * Enabled ISA scans in the default configuration.

 -- Jeff Licquia <jlicquia@progeny.com>  Mon,  5 Feb 2001 12:58:43 -0500

discover (0.9.10) unstable; urgency=low

  * Hard-coded a special case: add ide-scsi as a SCSI driver if IDE CD-ROM
    drives are present.  This way, all CD-ROMS will be treated as SCSI,
    and burners will work out of the box.
  * Fixed up the init script so /dev/cdromX (X is a number) files are
    created when files are detected, one for each detected CD drive.
  * Finished up man pages, and set them to be installed.
  * Modules that crash the system are now written to
    /etc/discover-autoskip.conf, instead of /etc/discover.conf.  This is
    more in line with Debian policy, and ensures that autoskip information
    isn't lost when the conffile /etc/discover.conf is updates upstream.
  * Added libisapnp-dev to Build-Depends.

 -- Jeff Licquia <jlicquia@progeny.com>  Sun,  4 Feb 2001 21:53:37 -0500

discover (0.9.9) unstable; urgency=low

  * Don't print "ignore" and "unknown" modules names.
  * Fix use of the 'function' keyword in discover.init. This is a bashism;
    functions are declared with 'funcname () body' in POSIX sh.

 -- Ian Murdock <imurdock@progeny.com>  Fri, 12 Jan 2001 15:27:06 -0500

discover (0.9.8) unstable; urgency=low

  * discover.init: Only free the ramdisk if the umount succeeds.

 -- Ian Murdock <imurdock@progeny.com>  Mon, 11 Dec 2000 19:56:49 -0500

discover (0.9.7) unstable; urgency=low

  * Major pre-1.0 interface changes: --enable and --disable now only take
    bus arguments (pci, isa, pcmcia, usb, ide, scsi, parallel, and
    serial); --vendor replaces --print-vendor and takes no arguments;
    --model replaces --print-model and takes no arguments; --module
    replaces --print-module and takes no arguments; --device replaces
    --print-device and takes no arguments; --xdriver replaces
    --print-xdriver and takes no arguments; --xserver replaces
    --print-xserver and takes no arguments; a new option, --format,
    takes a printf-style string and formats the output accordingly; and
    arguments separate from any of the options specify which device
    types to operate on (bridge, cdrom, ethernet, ide, scsi, sound, usb,
    and video).
  * Other reworkings and cleanup in preparation for 1.0.

 -- Ian Murdock <imurdock@progeny.com>  Sun, 10 Dec 2000 18:57:05 -0500

discover (0.9.6) unstable; urgency=low

  * Check that update-boot-loader exists before trying to execute it.

 -- Ian Murdock <imurdock@progeny.com>  Mon, 27 Nov 2000 15:10:54 -0500

discover (0.9.5) unstable; urgency=low

  * Renamed --print-server option to --print-xserver.
  * Renamed --print-driver option to --print-xdriver.
  * Separate each item of output by a newline instead of a space.
  * Call update-boot-loader in postinst script.

 -- Ian Murdock <imurdock@progeny.com>  Tue, 21 Nov 2000 14:48:56 -0500

discover (0.9.4) unstable; urgency=low

  * Reenabled pcmcia and bridge scans, now that pcmcia-cs no longer tries
    to load modules manually when discover is present.
  * Added /etc/discover.conf, which specifies hardware detection settings.
  * /etc/init.d/discover: Keep track of which module is being loaded (by
    writing a file to /var/state/discover/crash), and add an appropriate
    "skip" line to discover.conf if the system crashed trying to load it.
  * Moved the discover binary to /lib/discover/discover and added a shell
    script wrapper script /sbin/discover which parses /etc/discover.conf.
  * Moved all configuration information into /etc/discover.conf.

 -- Ian Murdock <imurdock@progeny.com>  Tue,  7 Nov 2000 14:26:34 -0500

discover (0.9.3) unstable; urgency=low

  * Added better description to control file.
  * Fixed typo in linuxrc.

 -- Ian Murdock <imurdock@progeny.com>  Mon, 30 Oct 2000 22:45:26 -0500

discover (0.9.2) unstable; urgency=low

  * As of 0.9.2, discover only *reports* information about the
    hardware--it no longer does anything with it.  The *caller* is
    now expected to perform any actions given the information reported,
    such as loading modules.  This allows us to do most of the work
    in scripts, creating fewer opportunities for bugs to crop up,
    and allowing for greater flexibility in how discover gets used.
  * Added `--print-vendor', `--print-model', `--print-device',
    `--print-driver', `--print-module', and `--print-server'.
  * Removed `--load' and `--no-load' options, since discover no longer
    loads modules.
  * Disable ISA probes by default for now.
  * Added echo to busybox Config.h.
  * busybox's sh doesn't seem to have any looping constructs, so for now,
    we copy in ash to serve as /bin/sh.
  * /etc/init.d/discover now loads the modules for detected hardware and
    creates /dev/cdrom.
  * /etc/init.d/discover now checks to make sure the ramdisk is mounted
    before trying to umount it.

 -- Ian Murdock <imurdock@progeny.com>  Mon, 30 Oct 2000 14:36:07 -0500

discover (0.9.1) unstable; urgency=low

  * Restructured to work like libdetect's report program: We now only
    load the specific types of modules the user is interested in rather
    than trying to load every module found during the PCI scan.  This
    should fix the problems where discover was trying to load modules
    twice.
  * Scan each bus individually rather than calling bus_scan().  This
    allows us to selectively disable any of the bus scans.
  * Added a bevy of options.  The most useful are `--disable', `--enable',
    `--disable-all', and `--enable-all'.  These allow potentially
    dangerous scans (e.g., ISA) to be disabled on systems that don't need
    them.  They also allow us to minimize the number of scans done in
    the first stage (e.g., discover --disable-all --enable=pci,ide,scsi),
    which speeds up the boot process significantly.
  * update-initrd: Use /usr/share/detect/*.lst to pull in the modules that
    could potentially be loaded during the first stage rather than pulling
    in arbitrary modules by hand.
  * Added /sbin/modprobe and a minimal /etc/modules.conf to the ramdisk,
    so that kmod doesn't fail on SCSI-only systems trying to load block-
    major-8.  This needs to be generalized, but this quick fix at least
    allows us to work on SCSI systems now.
  * Disabled parallel port scan.  This caused a kernel panic on my Toshiba
    Satellite 2180CDT.  Disabled serial port scan as well, since I'm a bit
    dubious about doing that too.
  * Disabled pcmcia and bridge scans.  These cause the PCMCIA modules to
    be loaded.  That's not necessarily bad, but before we can do that,
    we'll need to coordinate with the PCMCIA packages to make sure we're
    not stepping on any toes.

 -- Ian Murdock <imurdock@progeny.com>  Sun, 29 Oct 2000 01:00:49 -0500

discover (0.9-16) unstable; urgency=low

  * Now checks for existance of a module properly before doing an insmod
    (or printing that the hardware was detected..)
  * cosmetic fixes

 -- Joseph Carter <knghtbrd@progeny.com>  Thu, 26 Oct 2000 14:59:48 -0500

discover (0.9-15) unstable; urgency=low

  * update-initrd and mkinstalldisks now depmod the ramdisk kernel
  * some of the debug output from mkinstalldisks has been removed
  * modules should no longer be loaded again if they're already loaded
  * modules not found in stage 1 will not cause an error message to be
    printed.  For our purposes, missing modules in stage 1 is correct
    behavior and should fail quietly.
  * fixed some bugs lintian pointed out
  * Only one error message in stage 1 remains - the kernel's spitting it
    out.  The problem is likely in the /linuxrc patch

 -- Joseph Carter <knghtbrd@progeny.com>  Wed, 25 Oct 2000 13:08:49 -0500

discover (0.9-14) unstable; urgency=low

  * Disabled PCMCIA probing per Ian's request
  * Disabled USB probing because it doesn't work
  * Don't create /var/state/discover/rodents - there's nothing in it, ever

 -- Joseph Carter <knghtbrd@progeny.com>  Tue, 24 Oct 2000 20:54:09 -0500

discover (0.9-13) unstable; urgency=low

  * Disabled /proc/bus/usb since our kernel doesn't have usbcore compiled
    in.  libdetect doesn't support probing it at the moment anyway.
  * Now outputs before ISA probes so you don't think your system just froze.
  * Package now includes /etc/discover directory
  * Fixed init script override bug - crash recovery in discover's second
    stage now WORKS.
  * Wrote a package description

 -- Joseph Carter <knghtbrd@progeny.com>  Tue, 24 Oct 2000 19:15:35 -0500

discover (0.9-12) unstable; urgency=low

  * Don't fail to install if postinst can't run update-initrd, just tell
    the user calmly that they have to fix it and run update-initrd on
    their own.  Note, update-initrd should NOT be modified to support non-
    kernel-package kernels because of the necessary patch to make booting
    /linuxrc actually work as documented.

 -- Joseph Carter <knghtbrd@progeny.com>  Tue, 24 Oct 2000 15:20:54 -0500

discover (0.9-11) unstable; urgency=low

  * dontload file now works properly
  * tried moving setvbuf to get unbuffered output - doesn't work

 -- Joseph Carter <knghtbrd@progeny.com>  Mon, 23 Oct 2000 03:14:46 -0500

discover (0.9-10) unstable; urgency=low

  * update-initrd no longer spits out debug output (ie, no more mke2fs is
    shown in package postinst to scare people...)
  * Neither does mkinstalldisks
  * Fixed dependencies

 -- Joseph Carter <knghtbrd@progeny.com>  Thu, 19 Oct 2000 17:49:32 -0500

discover (0.9-9) unstable; urgency=low

  * A little more work on the install disk script, fixed annoying bug

 -- Joseph Carter <knghtbrd@progeny.com>  Wed, 18 Oct 2000 11:01:22 -0500

discover (0.9-8) unstable; urgency=low

  * insmod should no longer ever print out anything, ever, period.

 -- Joseph Carter <knghtbrd@progeny.com>  Mon, 16 Oct 2000 15:36:36 -0500

discover (0.9-7) unstable; urgency=low

  * Changed the style of the output for discover, fflush and setvbuf didn't
    have the desired effect, will look at it more later
  * new script: mkinstalldisks - makes a two-floppy ramdisk image.  The
    first is compressed and mounts the way you'd expect when you set it
    up with grub.  The second is mounted only if your cdrom can't be found
    (it's not compressed, just dd it to a floppy..)  Note, I didn't have a
    chance to test this on a SCSI system, but the script is pretty simple.
    The second floppy is FULL, if there are any ancient and rare SCSI
    modules that can be removed, we should remove them.  I'd appreciate it
    if someone more knowledgable than I about SCSI cards could build a list
    of these.

 -- Joseph Carter <knghtbrd@progeny.com>  Wed, 11 Oct 2000 19:35:00 -0500

discover (0.9-6) unstable; urgency=low

  * symlink busybox to umount
  * remove block modules from ramdisk to try and save space

 -- Joseph Carter <knghtbrd@progeny.com>  Wed, 11 Oct 2000 14:12:28 -0500

discover (0.9-5) unstable; urgency=low

  * New cmdline option, nodevcdrom - disables removal and recreation of
    /dev/cdrom symlink
  * New cmdline option, dryrun - just detects and prints stuff to screen
  * Mount /proc/bus/usb in ramdisk
  * Added a very stripped down busybox to replace GNU utils on the ramdisk,
    can expand this if necessary to include more than it currently does.
  * Add modules.dep to ramdisk
  * Use /dev/ram0, not /dev/ram
  * Made umounting of /dev/ram0 quiet
  * Removed some already tested debugging cruft for smaller code size
  * Make a ramdisk for the current kernel - NOTE this COULD break if you do
    something you shouldn't.
  * Implemented a modprobe replacement in discover

 -- Joseph Carter <knghtbrd@progeny.com>  Thu,  5 Oct 2000 16:36:58 -0500

discover (0.9-4) unstable; urgency=low

  * Somehow update-initrd didn't get in here - it's in /sbin now

 -- Joseph Carter <knghtbrd@progeny.com>  Wed,  4 Oct 2000 13:15:30 -0500

discover (0.9-3) unstable; urgency=low

  * Make discover not run in postinst

 -- Joseph Carter <knghtbrd@progeny.com>  Wed,  4 Oct 2000 12:55:27 -0500

discover (0.9-2) unstable; urgency=low

  * Debhelper v2
  * Moved stage two's init script from S46 to S36 (typo on my part)

 -- Joseph Carter <knghtbrd@progeny.com>  Wed,  4 Oct 2000 11:28:52 -0500

discover (0.9-1) unstable; urgency=low

  * Initial Release.

 -- Joseph Carter <knghtbrd@progenylinux.com>  Mon,  2 Oct 2000 10:48:43 -0500

